petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAGetOverlap

Gets the size of the per-processor overlap.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetOverlap(DM da,PetscInt *x,PetscInt *y,PetscInt *z)

Not collective

### Input Parameters

da -The DMDA

### Output Parameters

| x | - Overlap in the x direction
| y | - Overlap in the y direction
| z | - Overlap in the z direction

### See Also

DMDACreateDomainDecomposition(), DMDASetOverlap(), DMDA

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages